<? $areas = $gotd_areas = Model_Statistics::getAllAreas(); ?>
<? $this->headLink()->appendStylesheet(_st('online-billing/online-billing-v3.css')) ?>
<? $this->headScript()->prependFile(_st('online-billing/online-billing-v3.js'), 'text/javascript'); ?>

<? 
//Removing base city from add areas list
foreach($areas as $i => $area) {
	if ( $area->id == $this->escort['base_city_id'] ) {
		unset($areas[$i]);
	}
}
$areas = array_values($areas)
 ?>

<script type="text/javascript">
window.addEvent('domready', function () {
	Cubix.OnlineBillingV3.initOptionalProducts();
});
</script>
<form method="post" action="<?= $this->getLink('online-billing-v3-select-optional-products') ?>">
	<input type="hidden" id="gotd-booked-days" value='<?= json_encode($this->booked_days); ?>'/>
	<input type="hidden" id="region-relations" value='<?= json_encode($this->region_relations); ?>'/>
	<input type="hidden" id="add-area-price" value="<?= $this->add_area_price ?>"/>
	<input type="hidden" id="gotd-price" value="<?= $this->gotd_price ?>"/>
	<input type="hidden" id="package-price" value="<?= $this->selected_package['price'] ?>"/>
	
	<input type="hidden" id="additional-regions" name="additional_regions" value=""/>

	<? if ( $this->selected_package ): ?>
	<input type="hidden" id="package-ranges" value="<?= date('Y.m.d', $this->selected_package['date_activated']) . ':' . $this->selected_package['period'] ?>"/>
	<? elseif( count($this->packages) == 1 ): ?>
	<input type="hidden" id="package-ranges" value="<?= date('Y.m.d', $this->packages[0]['date_activated']) . ':' . $this->packages[0]['period'] ?>"/>
	<? endif; ?>
	<div class="gray-box form" id="online-billing-v3">
		<div class="container">
			<?= $this->render('online-billing-v3/anchor.phtml') ?>
			<? if ( $this->selected_package ): ?>
			<div class="clear"></div>
			<p class="title"><?= __('sc3_order_overview') ?></p>
			<div class="clear"></div>
			<p class="subtitle"><?= __('sc3_proceed_to_checkout_or_optional') ?></p>
			<div class="sep"></div>
			<table class="online-billing-table">
				<thead>
					<tr>
						<th class="escort-info"><?= __('escort') ?></th>
						<th class="package"><?= __('package') ?></th>
						<th class="price"><?= __('price') ?></th>
						<th class="total-price"><?= __('total_price') ?></th>
						<th></th>
					</tr>
				</thead>
				<tbody>
					<tr>
						<td class="escort-info">
							<div class="escort-info">
								<div class="img">
									<img src="<?= $this->escort->getMainPhoto()->getUrl('ob3_thumb_sm') ?>" />
								</div>
								<div class="info">
									<p class="showname"><?= $this->escort->showname ?></p>
									<div class="clear"></div>
									<p class="escort-id">#<?= $this->escort->id ?></p>
								</div>
							</div>
						</td>
						<td class="package"><?= __('online_billing_package_name_' . $this->selected_package['id']) ?></td>
						<td class="price"><?= $this->selected_package['price'] ?> CHF</td>
						<td class="total-price"><?= $this->selected_package['price'] ?> CHF</td>
						<td class="last"><div class="buy-btn buy-btn-1 checkout-btn"><?= __('buy') ?></div></td>
					</tr>
				</tbody>
			</table>
			<? elseif( $this->user->isAgency() ) : ?>
			<div class="sep"></div>
			<div class="escort-info">
				<div class="img">
					<img src="<?= $this->escort->getMainPhoto()->getUrl('ob3_thumb_sm') ?>" />
				</div>
				<div class="info">
					<p class="showname"><?= $this->escort->showname ?></p>
					<div class="clear"></div>
					<p class="escort-id">#<?= $this->escort->id ?></p>
				</div>
			</div>
			<div class="optional-products-total-amount">
				<span><?= count($this->gotd_days) ? number_format(count($this->gotd_days) * $this->gotd_price, 2) : '0.00' ?> CHF</span>
			</div>
			<? endif; ?>
			<div class="clear"></div>
			<p class="title"><?= __('optional_products') ?></p>
			<div class="sep"></div>
			<div class="gotd-block">
				<p class="product-price-info"><?= __('sc3_gotd_price_text') ?></p><div class="collapse-expand-btn <?= ! $this->selected_package ? 'expand-arrow' : 'collapse-arrow' ?>"></div>
				<div class="clear"></div>
				<div class="expandable <?= ! $this->selected_package ? '' : 'none' ?>">
					<div class="left-block">
						<select id="gotd-region">
							<option value=""><?= __('sc3_choose_region') ?></option>
							<? foreach( $gotd_areas as $area ): ?>
								<option value="<?= $area->id ?>"><?= $area->title ?></option>
							<? endforeach; ?>
						</select>
						<div class="clear"></div>
						<? if ( count($this->packages) > 1 ): ?>
							<select name="package" id="gotd-package" style="margin-top: 15px;">
								<option value=""><?= __('select_package') ?></option>
								<? foreach($this->packages as $i => $e_p): ?>
								<option value="<?= $i ?>" data-activation-date="<?= date('Y-m-d', $e_p['date_activated']) ?>" data-period="<?= $e_p['period'] ?>">
									<?= $e_p['package_name'] . '(' . date('M d', $e_p['date_activated']) . ' - ' . date('M d', $e_p['expiration_date']) . ')'?>
								</option>
								<? endforeach; ?>
							</select>
							<div class="clear"></div>
							<? if ( isset($this->gotd_errors['package']) ): ?>
							<div class="error fleft mt10"><?= $this->gotd_errors['package'] ?></div>
							<div class="clear"></div>
							<? endif; ?>
						<? endif; ?>
						<div id="calendar">
							<div class="month">
								<div class="prev"></div>
								<span>March 2014</span>
								<div class="next"></div>
							</div>
							<ul class="week">
								<li>MON</li>
								<li>TUE</li>
								<li>WED</li>
								<li>THU</li>
								<li>FRI</li>
								<li>SAT</li>
								<li>SUN</li>
							</ul>
							<div class="days">

							</div>
						</div>
						<? if ( isset($this->gotd_errors['days']) ): ?>
						<div class="error fleft mt10"><?= $this->gotd_errors['days'] ?></div>
						<div class="clear"></div>
						<? endif; ?>
					</div>
					<div class="right-block">
						<p class="title"><?= __('sc3_selected') ?></p>
						<div class="clear"></div>
						<ul id="selected-days">
							<? if ( $this->gotd_days ): ?>
							<? foreach($this->gotd_days as $g_d): ?>
							<li id="<?= $g_d['city_id'] . ':' . $g_d['date'] ?>">
								<div class="remove-btn"></div>
								<span><?= $g_d['date'] ?></span><br/>
								<span><?= $g_d['title'] ?></span><br/>
								<input type="hidden" value="<?= $g_d['city_id'] . ':' . $g_d['date'] ?>" name="gotd_days[]"/>
							</li>
							<? endforeach; ?>
							<? endif; ?>
						</ul>
					</div>
				</div>
			</div>
			<? if ( $this->selected_package && ! in_array($this->selected_package['id'], $this->dayPassesPackages) ): ?>
			<div class="additional-area-block">
				<p class="product-price-info"><?= __('sc3_additional_area_price_text') ?></p><div class="collapse-expand-btn collapse-arrow"></div>
				<ul class="expandable none">
					<div class="list-wrapper">
					<? $j = 1; ?>
					<? foreach( $areas as $i => $area ): ?>
						<? if ( $i % 2 == 0 ) {
							$j++;
							echo '<div class="list-wrapper ' . ($j % 2 != 0 ? 'even' : '') . '">';
						}
						?>
						<li rel="<?= $area->id ?>" class="<?= $this->additional_regions && in_array($area->id, $this->additional_regions) ? 'checked' : '' ?>"><?= $area->title ?></li>
						<?= $i % 2 != 0 ? '</div>' : '' ?>
					<? endforeach; ?>
					</div>
				</ul>
			</div>
			<? endif; ?>
			<? if ( ! $this->user->isAgency() && ! $this->selected_package ): ?>
			<div class="optional-products-total-amount">
				<span><?= count($this->gotd_days) ? number_format(count($this->gotd_days) * $this->gotd_price, 2) : '0.00' ?> CHF</span>
			</div>
			<? endif; ?>
			<div class="clear"></div>
			<div class="sep"></div>
			<? if ( ! $this->selected_package ): ?>
				<a class="back-btn" href="<?= $this->getLink('online-billing-v3-select-escort') ?>"><?= __('back') ?></a>
			<? else: ?>
				<a class="back-btn" href="<?= $this->getLink('online-billing-v3-select-package') ?>"><?= __('back') ?></a>
			<? endif; ?>
			<? if ( $this->user->isAgency() && $this->cart && count($this->cart) ): ?>
			<a class="pink-button go-to-cart-btn" href="<?= $this->getLink('online-billing-v3-payment') ?>"><?= __('sc3_go_to_cart') ?></a>
			<? endif; ?>
			<div class="buy-btn buy-btn-2 checkout-btn"><?= __('buy') ?></div>
			<div class="clear"></div>
		</div>
	</div>
</form>